Page MenuHomePhabricator

Poor in-editor (WikiEditor & VE) upload disabled error message on wikitechwiki
Closed, ResolvedPublic

Description

Apparently that means upload is disabled via VE.

Who knew? (Apart from James?)

Details

Related Gerrit Patches:

Event Timeline

Reedy created this task.Apr 6 2017, 4:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2017, 4:24 PM
Reedy updated the task description. (Show Details)Apr 6 2017, 4:24 PM
Restricted Application added projects: Multimedia, Commons. · View Herald TranscriptApr 6 2017, 4:25 PM

Do you see this message on some production wiki? This shouldn't happen normally, I think, and would indicate that someone tried to configure foreign uploads but did it wrong. If I just disable uploads locally, I see a simple "File uploads are disabled.":

Jdforrester-WMF renamed this task from Poor VE upload disabled error message to Poor in-editor (WikiEditor & VE) upload disabled error message on wikitechwiki.Apr 6 2017, 8:28 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Context helps.

$wgForeignUploadTargets on Wikitech is set to [ 'shared' ] (that's the default in [operations/mediawiki-config]/InitialiseSettings.php). The 'shared' repository corresponds to Wikimedia Commons on most production wikis ([operations/mediawiki-config]/filebackend.php). However, Wikitech doesn't use that, and instead sets $wgUseInstantCommons ($wmgUseClusterFileBackend), which uses a repository named 'wikimediacommons'. So the repository configured as upload target is missing, and you get this error message.

So there are two ways to fix this:

  • Set $wgForeignUploadTargets to [ 'wikimediacommons' ] if we want uploads from inside the editor on Wikitech to go to Commons. Wikitech should already be able to use Commons' API, so this should just work.
  • Set $wgForeignUploadTargets to [ 'local' ] if we want the files to be uploaded locally. Wikitech has uploads enabled. This might be the better option, since we want Wikitech to be mostly independent from the cluster.

Change 347422 had a related patch set uploaded (by Jforrester):
[operations/mediawiki-config@master] Wikitech: Don't try to do cross-wiki uploads to Commons

https://gerrit.wikimedia.org/r/347422

Change 347422 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikitech: Don't try to do cross-wiki uploads to Commons

https://gerrit.wikimedia.org/r/347422

Mentioned in SAL (#wikimedia-operations) [2017-04-12T23:20:32Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Disable cross-wiki uploads to Commons (T162374) (duration: 00m 43s)

matmarex closed this task as Resolved.Apr 13 2017, 12:00 AM
matmarex assigned this task to Jdforrester-WMF.